	function increase_build(fname)
	  local fbuild
	  local build
	  fbuild = io.open(fname, "rb")
	  if fbuild==nil then 
	    fbuild=io.open(fname,"w")
	    fbuild:write("0","\n")
	    fbuild:flush()
	    fbuild:close()
	    fbuild = io.open(fname, "rb")
	  end
	  build = tonumber(fbuild:read("*all"))
	  fbuild:close()
	  if type(build) == "nil" then
	    build = 0
	  end
	  build = build + 1
	  fbuild = io.open(fname, "wb")
	  fbuild:write( build )
	  fbuild:flush()
	  fbuild:close()
	end
